# target::get-current-target

[This is preliminary documentation and subject to change.]

Gets the name of the target being executed.

### Usage

`string target::get-current-target()`

### Return Value

A String that contains the name of the target being executed.

### Exceptions

The function will fail in any of the following circumstances:

- No target is being executed.

### Requirements

Assembly: NAnt.Core (0.85.1932.0)